Subject: bug#47291: [PATCH] Auto-detect ns-appearance of frames and call a hook when it changes

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 18 May 2021 16:43:33 +0200

Matt Armstrong <[email-masked]> writes:

> I suggested an alternative approach on emacs-devel -- use the
> dynamic-setting.el mechanism which is used for GTK but expressed in a
> general way.
>
> Since Emacs already has that mechanism for GTK, I think this approach
> would satisfy the policy issue Lars raised as well.

Yes, I think that might make sense...  but I've added Alan to the CCs,
since this affects Macos things.  Perhaps he has some comments on these
alternative approaches.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no